Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.macromedia.generator.app
Class FlashEnvironment

    java.lang.Object
      |
      +--java.util.Dictionary
            |
            +--java.util.Hashtable
                  |
                  +--com.macromedia.generator.app.FlashEnvironment

All Implemented Interfaces:
  java.lang.Cloneable, FlashCommandLog, java.util.Map, java.io.Serializable

public class FlashEnvironment
extends java.util.Hashtable
implements FlashCommandLog

See Also:
  Serialized Form

Inner classes inherited from class java.util.Map
`java.util.Map.Entry`

Constructor Summary
`FlashEnvironment(int i, boolean flag, Serial serial, java.lang.String s, CacheManager cachemanager)`

Method Summary
`protected void` | `finalize()`
`CacheManager` | `getCacheManager()`
`java.lang.String` | `getDataEncoding()`
`Script` | `getDefaultSymbolScript()`
`java.io.File` | `getDirectory()`
`java.lang.String` | `getExternalFontLocation()`
`FontCache` | `getFontCache()`
`GenInfo` | `getGenInfo()`
`java.io.PrintWriter` | `getLogWriter()`
`MediaCache` | `getMediaCache()`
`java.lang.String` | `getMessages()`
`boolean` | `getPreviewMode()`
`java.lang.String` | `getResString(java.lang.String s)`
`Script` | `getTemplate()`
`static boolean` | `isLimited()`
`Script` | `loadDefaultSymbols()`
`void` | `logError(java.lang.String s)`
`void` | `logError(java.lang.String s, java.lang.String s1, java.lang.String s2)`
`int` | `logLevel()`
`void` | `logMessage(java.lang.String s)`
`void` | `logMessage(java.lang.String s, java.lang.String s1, java.lang.String s2)`
`void` | `logWarning(java.lang.String s)`
`void` | `logWarning(java.lang.String s, java.lang.String s1, java.lang.String s2)`
`void` | `processScript(Script script, Context context)`
`Buffer` | `processTemplate(java.io.File file, java.util.Vector vector)`
`void` | `setDataEncoding(java.lang.String s)`
`void` | `setDefaultSymbolScript(Script script)`
`void` | `setEmbeddedString(java.lang.String s)`

Methods inherited from class java.util.Hashtable
`, clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, toString, values`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FlashEnvironment

    public FlashEnvironment(int i,
                            boolean flag,
                            Serial serial,
                            java.lang.String s,
                            CacheManager cachemanager)

Method Detail

### finalize

    protected void finalize()
                     throws java.lang.Throwable

  Overrides:
    `finalize` in class `java.lang.Object`

### getCacheManager

    public CacheManager getCacheManager()

### getDataEncoding

    public java.lang.String getDataEncoding()

### getDefaultSymbolScript

    public Script getDefaultSymbolScript()

### getDirectory

    public java.io.File getDirectory()

### getExternalFontLocation

    public java.lang.String getExternalFontLocation()

### getFontCache

    public FontCache getFontCache()

### getGenInfo

    public GenInfo getGenInfo()

### getLogWriter

    public java.io.PrintWriter getLogWriter()

### getMediaCache

    public MediaCache getMediaCache()

### getMessages

    public java.lang.String getMessages()

### getPreviewMode

    public boolean getPreviewMode()

### getResString

    public java.lang.String getResString(java.lang.String s)

### getTemplate

    public Script getTemplate()

### isLimited

    public static boolean isLimited()

### loadDefaultSymbols

    public Script loadDefaultSymbols()

### logError

    public void logError(java.lang.String s)

### logError

    public void logError(java.lang.String s,
                         java.lang.String s1,
                         java.lang.String s2)

### logLevel

    public int logLevel()

  Specified by:
    `logLevel` in interface `FlashCommandLog`

### logMessage

    public void logMessage(java.lang.String s)

  Specified by:
    `logMessage` in interface `FlashCommandLog`

### logMessage

    public void logMessage(java.lang.String s,
                           java.lang.String s1,
                           java.lang.String s2)

  Specified by:
    `logMessage` in interface `FlashCommandLog`

### logWarning

    public void logWarning(java.lang.String s)

### logWarning

    public void logWarning(java.lang.String s,
                           java.lang.String s1,
                           java.lang.String s2)

### processScript

    public void processScript(Script script,
                              Context context)

### processTemplate

    public Buffer processTemplate(java.io.File file,
                                  java.util.Vector vector)

### setDataEncoding

    public void setDataEncoding(java.lang.String s)

### setDefaultSymbolScript

    public void setDefaultSymbolScript(Script script)

### setEmbeddedString

    public void setEmbeddedString(java.lang.String s)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD